Subject: Re: Bamboo PCI interrupt issues

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 04 Mar 2008 17:18:21 +1100

On Mon, 2008-03-03 at 21:37 -0600, Josh Boyer wrote:
> I plugged in an old 3Com ethernet card tonight.  Slot 0.  It was
> assigned dev #4 IRQ 25.  Using the device tree as-is, I could see
> interrupts happening in /proc/interrupts but ethernet traffic failed.
> 
> Then I changed the sense level to 4 as you suggested, and my card hung
> hard on the first ethernet traffic.  I've no idea if we're dealing
> with
> a crappy card or a crappy driver but the device tree seems to be
> working ok.  If I can find a different card to test with I will.
> 
> Ben, do you have any input here?

Other than bamboo has the weirdest combination of FPGA/CPLD/DIP switches
that I could never figure out if PCI was clocked properly ?

That might just be the problem :-)

I do remember having issues now that we talk about it. Though not
specifically what they were.

Ben.